imports:
    - { resource: ./../config/config.yml }

doctrine:
    dbal:
        path: "%kernel.cache_dir%/db.sqlite"
        charset:  UTF8
    orm:
        auto_generate_proxy_classes: false
        auto_mapping: false

services:
    indexableService:
        class: FOS\ElasticaBundle\Tests\Functional\app\ORM\IndexableService

jms_serializer:
    metadata:
        auto_detection: true
        directories:
            type_obj:
                namespace_prefix: "FOS\\ElasticaBundle\\Tests\\Functional"
                path: "%kernel.project_dir%/Serializer"

fos_elastica:
    clients:
        default:
            url: "http://%fos_elastica.host%:%fos_elastica.port%"
    serializer:
        serializer: jms_serializer
    indexes:
        index:
            index_name: "foselastica_ser_test_%kernel.environment%"
            persistence:
                driver: orm
                model: FOS\ElasticaBundle\Tests\Functional\TypeObj
            serializer:
                groups: ['search', 'Default']
                version: 1.1
            properties:
                coll: ~
                field1: ~
        index_serialize_null_disabled:
            persistence:
                driver: orm
                model: FOS\ElasticaBundle\Tests\Functional\TypeObj
            serializer:
                serialize_null: false
            properties:
                field1: ~
        index_serialize_null_enabled:
            persistence:
                driver: orm
                model: FOS\ElasticaBundle\Tests\Functional\TypeObj
            serializer:
                serialize_null: true
            properties:
                field1: ~
        index_unmapped:
            persistence:
                driver: orm
                model: FOS\ElasticaBundle\Tests\Functional\TypeObj
            serializer:
                groups: ['search', 'Default']
                version: 1.1

